/*
 * Created on 06.jun.04
 *
 */
package com.arellano.ramon.atacama.gui;

/**
 * @author ramon.arellano
 *
 * This class contains all string variables to be used on actions components, i.e.
 * buttons and menus.
 */
public class Actions {
	//Common actions
	public static final String COMMON_BUTTON_CHANGE_PHOTO_DIR = "   Change photo directory   ";
	
	//Menu actions
	public static final String MENU_EDIT_PHOTO_DESCRIPTORS = "Edit photo descriptors...";
	public static final String MENU_EDIT_ALBUM_DESCRIPTOR = "Edit album descriptor...";
	public static final String MENU_GENERATE_GALLERY = "Generate gallery...";
	public static final String MENU_SAVE_OPTIONS = "Save current options";
	public static final String MENU_VIEW_LOG = "View/detach log";
	public static final String MENU_EXIT = "Exit";
	public static final String MENU_MANUAL = "User's guide";
	public static final String MENU_ABOUT = "About Atacama";
	public static final String MENU_VIEW_JAVADOC = "JavaDOC";

	//Edit photo descriptor actions
	public static final String EDP_CHOICE_CHANGE_DESCRIPTOR = "Change photo descriptor";
	public static final String EDP_BUTTON_VALIDATE_DESCRIPTORS = "Validate descriptors";
	public static final String EPD_BUTTON_GENERATE_DESCRIPTORS = "Generate/update descriptors";
	public static final String EDP_BUTTON_REFRESH = "Refresh view";
	public static final String EDP_BUTTON_SAVE_PHOTO_DESCRIPTOR = "Save photo descriptor";
	public static final String EDP_BUTTON_VIEW_PHOTO = "View photo";
	
	//User dialog actions
	public static final String UD_BUTTON_OK = "OK";
	public static final String UD_BUTTON_CANCEL = "CANCEL";
	
	//Edit album descriptor actions
	public static final String EAP_BUTTON_CHANGE_ALBUM_FILE = "Change album descriptor";
	public static final String EAP_BUTTON_SAVE_ALBUM_DESCRIPTOR_AS = "Save descriptor as...";
	public static final String EAP_BUTTON_SAVE_ALBUM_DESCRIPTOR = "Save descriptor";
	public static final String EAP_BUTTON_ADD_NEW_ALBUM = "Add empty album";
	public static final String EAP_BUTTON_ADD_FROM_PHOTOS = "Add from photos";
	public static final String EAP_BUTTON_MOVE_UP = "Move up";
	public static final String EAP_BUTTON_REMOVE = "Remove";
	public static final String EAP_BUTTON_MOVE_DOWN = "Move down";
	public static final String EAP_BUTTON_TO_TOP = "To top";
	public static final String EAP_BUTTON_INSERT_NEW = "Insert new";
	public static final String EAP_BUTTON_TO_BOTTOM = "To bottom";

	//Generate gallery actions
	public static final String GG_BUTTON_COMPARE_FLICKR = "Compare with Flickr";
	public static final String GG_BUTTON_SYNC_FLICKR = "Sync with Flickr";	
	public static final String GG_BUTTON_CHANGE_ALBUM_DESCRIPTOR = "Change albums descriptor";
	public static final String GG_BUTTON_CHANGE_TARGET_PATH = "Change gallery target path ";	
	public static final String GG_BUTTON_SAVE_OPTIONS = "Save options";
	public static final String GG_BUTTON_GENERATE = "Generate gallery";	
	public static final String GG_BUTTON_VIEW_GALLERY = "View gallery";	

	//Splash screen actions
	public static final String SPLASH_READ_MANUAL = "Read the manual";
	public static final String SPLASH_START = "Start using Atacama";
}
